Groovy Documentation

## org.codehaus.groovy.runtime.callsite
[Java] Class StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite
                  org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite
                      org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce

    public static class StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce
    extends StaticMetaMethodSite

Field Summary

Fields inherited from class MetaMethodSite
params

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)`

Method Summary
`java.lang.Object` | `invoke(java.lang.Object receiver, java.lang.Object[] args)`

Methods inherited from class StaticMetaMethodSite
call, callStatic, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, createStaticMetaMethodSite, invoke

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce

    public StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)

Method Detail

### invoke

    public final java.lang.Object invoke(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation